﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace DataModel.Migrations
{
    public partial class _202209AddMultiLineOption : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "IsMultiLine",
                table: "TextElements",
                type: "INTEGER",
                nullable: false,
                defaultValue: false);

            migrationBuilder.CreateIndex(
                name: "IX_TextElements_IsMultiLine",
                table: "TextElements",
                column: "IsMultiLine");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_TextElements_IsMultiLine",
                table: "TextElements");

            migrationBuilder.DropColumn(
                name: "IsMultiLine",
                table: "TextElements");
        }
    }
}
